> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monime.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Bank

> Retrieves detailed information about a specific bank provider using its Monime-assigned provider ID.



## OpenAPI

````yaml get /v1/banks/{providerId}
openapi: 3.0.3
info:
  title: Monime API
  description: Monime REST API. Please visit https://docs.momime.io/api for more details.
  termsOfService: https://monime.io/legal/terms-of-service
  contact:
    name: Monime Developers
    url: https://github.com/monimesl
    email: dev@monime.io
  version: v1
servers:
  - url: https://api.monime.io/
security:
  - bearerAuth: []
paths:
  /v1/banks/{providerId}:
    get:
      tags:
        - Bank
      summary: Get Bank
      description: >-
        Retrieves detailed information about a specific bank provider using its
        Monime-assigned provider ID.
      operationId: GetBank
      parameters:
        - name: providerId
          in: path
          description: Unique provider ID for the bank as assigned by Monime.
          required: true
          schema:
            type: string
            description: Unique provider ID for the bank as assigned by Monime.
        - name: Monime-Version
          in: header
          description: Specifies which version of the Monime API will handle this request.
          schema:
            enum:
              - caph.2025-08-23
              - caph.2025-06-20
            type: string
            description: >-
              Specifies which version of the Monime API will handle this
              request.
            nullable: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: >-
                      Represents the status of the query operation, confirming
                      if it was successful. This field is always true
                  messages:
                    type: array
                    items: {}
                    description: >-
                      Contains a list of messages providing relevant information
                      or feedback related to the query or operation
                  result:
                    $ref: '#/components/schemas/Bank'
components:
  schemas:
    Bank:
      title: Bank
      type: object
      properties:
        providerId:
          type: string
          description: The provider ID for the momo as assigned by Monime.
          example: slb004
        name:
          type: string
          description: The name of the bank.
          example: Guarantee Trust Bank
        country:
          type: string
          description: The country of the bank.
          example: SL
        status:
          type: object
          properties:
            active:
              type: boolean
              description: Whether or not this bank is active within Monime.
          description: The status of the bank's operations within monime'.
        featureSet:
          type: object
          properties:
            payout:
              type: object
              properties:
                canPayTo:
                  type: boolean
                  description: Whether or not Monime can pay out to an account in the bank.
                schemes:
                  type: array
                  items:
                    type: string
                  description: The supported payout schemes of the bank.
                  nullable: true
                metadata:
                  type: object
                  additionalProperties:
                    type: string
                  description: Further metadata describing this bank's payout feature.
                  nullable: true
              description: The bank's payout feature information.
            payment:
              type: object
              properties:
                canPayFrom:
                  type: boolean
                  description: >-
                    Whether or not Monime can accept payment from an account in
                    the bank.
                schemes:
                  type: array
                  items:
                    type: string
                  description: The supported payment schemes of the bank.
                  nullable: true
                metadata:
                  type: object
                  additionalProperties:
                    type: string
                  description: Further metadata describing this bank's payment feature.
                  nullable: true
              description: The bank's payment feature information.
            kycVerification:
              type: object
              properties:
                canVerifyAccount:
                  type: boolean
                  description: >-
                    Whether or not Monime can verify an account's KYC' in the
                    bank.
                metadata:
                  type: object
                  additionalProperties:
                    type: string
                  description: >-
                    Further metadata describing this bank's KYC verification
                    feature.
                  nullable: true
              description: The bank's KYC verification feature information.
          description: The set of Monime features that the bank supports.'
        createTime:
          type: string
          description: The time the bank's support was added.
          format: date-time
        updateTime:
          type: string
          description: The last time the bank's support was updated.
          format: date-time
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: auth-scheme
      description: >-
        Bearer HTTP authentication specified with the header Authorization:
        Bearer <access_token>

````